/*

  This file is a part of GRALE, a library to facilitate the simulation
  and inversion of gravitational lenses.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef GRALE_REAL2DFUNCTIONFITSPLOTTER_H

#define GRALE_REAL2DFUNCTIONFITSPLOTTER_H

#include "graleconfig.h"

#ifdef GRALECONFIG_SUPPORT_CFITSIO

#include "real2dfunctionplotter.h"
#include <string>

namespace grale
{

class GRALE_IMPORTEXPORT Real2DFunctionFITSPlotter : public Real2DFunctionPlotter
{
public:
	Real2DFunctionFITSPlotter(const std::string &fname,double xscale = 1.0L,double yscale = 1.0L,double zscale = 1.0L);
	~Real2DFunctionFITSPlotter();
	bool plot(Real2DFunction &f,Vector2D<double> bottomleft,Vector2D<double> topright,int numxsteps,int numysteps);
private:
	double xscale,yscale,zscale;
	std::string filename;
};

} // end namespace

#endif // GRALECONFIG_SUPPORT_CFITSIO

#endif // GRALE_REAL2DFUNCTIONFITSPLOTTER_H

